```

BenchmarkDotNet v0.14.0, Windows 10 (10.0.20348.2762)
Intel Xeon Platinum 8488C, 1 CPU, 16 logical and 8 physical cores
.NET SDK 9.0.100-rc.2.24474.11
  [Host]     : .NET 9.0.0 (9.0.24.47305), X64 RyuJIT AVX-512F+CD+BW+DQ+VL+VBMI
  Job-BWKUJM : .NET 10.0.0 (42.42.42.42424), X64 RyuJIT AVX-512F+CD+BW+DQ+VL+VBMI
  Job-IYIIYI : .NET 10.0.0 (42.42.42.42424), X64 RyuJIT AVX-512F+CD+BW+DQ+VL+VBMI

OutlierMode=DontRemove  MemoryRandomization=True  

```
| Method   | Job        | Toolchain                   | value  | Mean      | Error     | Ratio | 
|--------- |----------- |---------------------------- |------- |----------:|----------:|------:|
| **Parse**    | **Job-BWKUJM** | **\core_root_base\corerun.exe** | **-32768** |  **7.815 ns** | **0.1208 ns** |  **1.00** | 
| Parse    | Job-IYIIYI | \core_root_diff\corerun.exe | -32768 |  7.830 ns | 0.1187 ns |  1.00 | 
|          |            |                             |        |           |           |       | 
| TryParse | Job-BWKUJM | \core_root_base\corerun.exe | -32768 |  7.180 ns | 0.0483 ns |  1.00 | 
| TryParse | Job-IYIIYI | \core_root_diff\corerun.exe | -32768 |  7.216 ns | 0.1312 ns |  1.01 | 
|          |            |                             |        |           |           |       | 
| ToString | Job-BWKUJM | \core_root_base\corerun.exe | -32768 | 11.605 ns | 0.1548 ns |  1.00 | 
| ToString | Job-IYIIYI | \core_root_diff\corerun.exe | -32768 | 11.832 ns | 0.3139 ns |  1.02 | 
|          |            |                             |        |           |           |       | 
| **Parse**    | **Job-BWKUJM** | **\core_root_base\corerun.exe** | **0**      |  **4.151 ns** | **0.1229 ns** |  **1.00** | 
| Parse    | Job-IYIIYI | \core_root_diff\corerun.exe | 0      |  4.141 ns | 0.1233 ns |  1.00 | 
|          |            |                             |        |           |           |       | 
| TryParse | Job-BWKUJM | \core_root_base\corerun.exe | 0      |  4.562 ns | 0.1317 ns |  1.00 | 
| TryParse | Job-IYIIYI | \core_root_diff\corerun.exe | 0      |  4.075 ns | 0.0581 ns |  0.90 | 
|          |            |                             |        |           |           |       | 
| ToString | Job-BWKUJM | \core_root_base\corerun.exe | 0      |  2.021 ns | 0.0251 ns |  1.00 | 
| ToString | Job-IYIIYI | \core_root_diff\corerun.exe | 0      |  2.035 ns | 0.0341 ns |  1.01 | 
|          |            |                             |        |           |           |       | 
| **Parse**    | **Job-BWKUJM** | **\core_root_base\corerun.exe** | **32767**  |  **7.543 ns** | **0.0955 ns** |  **1.00** | 
| Parse    | Job-IYIIYI | \core_root_diff\corerun.exe | 32767  |  7.236 ns | 0.1805 ns |  0.96 | 
|          |            |                             |        |           |           |       | 
| TryParse | Job-BWKUJM | \core_root_base\corerun.exe | 32767  |  7.870 ns | 0.0887 ns |  1.00 | 
| TryParse | Job-IYIIYI | \core_root_diff\corerun.exe | 32767  |  7.761 ns | 0.1661 ns |  0.99 | 
|          |            |                             |        |           |           |       | 
| ToString | Job-BWKUJM | \core_root_base\corerun.exe | 32767  | 10.009 ns | 0.1273 ns |  1.00 | 
| ToString | Job-IYIIYI | \core_root_diff\corerun.exe | 32767  |  9.926 ns | 0.1785 ns |  0.99 | 
